dregad / mantisbt (fix-16706)
Build #53 passed.
2 minutes and 30 seconds
Damien Regad f3d5f60 Changeset →
  Prevent plugin pages access when upgrade pending

If a plugin's code has been upgraded, but the schema is still on the old
version, the plugin is effectively disabled (i.e. its entry points are
not displayed). However, it was still possible to access individual
pages directly, which could lead to errors.

This commit adds an extra check in plugin.php which triggers an error
when the plugin needs to be upgraded.

Fixes #16706

Would you like to test your private code?

Travis Pro could be your new best friend!